Go to the latest version of this document.

# ``twisted`.`names`.`tap``

module documentation
(source)

Domain Name Server

Class | `Options` | No class docstring; 0/5 instance variable, 0/3 class variable, 4/6 methods documented
Function | `makeService` | Undocumented
Function | `_buildResolvers` | Build DNS resolver instances in an order which leaves recursive resolving as a last resort.

def makeService(config): (source)

Undocumented

def _buildResolvers(config): (source)

Build DNS resolver instances in an order which leaves recursive resolving as a last resort.

Parameters
config:`Options` instance | Parsed command-line configuration

Returns
Two-item tuple of a list of cache resovers and a list of client resolvers